# Foot part, handling the shell stuff after the literals have been defined.

if [ $# -ne 0 ] && [ $# -ne 1 ] && [ $# -ne 3 ]
then
  echo "$usage";
  exit 1;
fi

code=`mktemp`
echo "$script_fu_code" >$code

if [ $# -eq 0 ]
then
  lefts=`find . -name AnaCam\*_l.jpg`
  for l in $lefts
  do
    num=${l%_l.jpg}
    r="${num}_r.jpg"
    a="${num}_a.jpg"

    if [ -a $r ] && ! [ -a $a ]
    then
      echo "Processing $num..."
      echo "(makeAnaglyph \"$l\" \"$r\" \"$a\")" >>$code
    fi
  done
fi

if [ $# -eq 1 ]
then
  echo "(makeAnaglyph \"AnaCam$1_l.jpg\" \"AnaCam$1_r.jpg\"" \
       " \"AnaCam$1_a.jpg\")" >>$code
fi

if [ $# -eq 3 ]
then
  echo "(makeAnaglyph \"$1\" \"$2\" \"$3\")" >>$code
fi

echo "(gimp-quit 0)" >>$code

gimp-console -d -f -b "(load \"$code\")"
rm -f $code
